打印

使用Letsencrypt证书用户建议更新自动续期规则

本主题由 licess 于 2018-2-1 17:12 解除置顶

无法实现自动更新,报奇怪错误,求教。

首先,楼主辛苦了!感谢您为我们提供的这么好的组件。
昨天我的Letsencrypt证书到期了,查阅官方后发现以上方法,于是我采用自动更新和修改crontab的方式,当我执行wget命令时却报wget命令未找到,我又执行yum -y install wget 试图安装wget,但是又提示我该软件重复安装。无解了。我是linux新手,求教!谢谢!

[root@myserver ~]# wget -O -http://soft.vpser.net/lnmp/ext/fix_renewssl.sh|bash
bash: line 1: wget:: command not found
bash: line 2: Usage:: command not found
bash: line 4: Try: command not found
[root@myserver ~]# yum -y install wget
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* base: centos.s.uw.edu
* epel: mirrors.syringanetworks.net
* extras: mirror.jax.hugeserver.com
* updates: centos.sonn.com
Package wget-1.12-10.el6.x86_64 already installed and latest version
Nothing to do
附件: 您所在的用户组无法下载或查看附件

TOP

回复 6# 的帖子

问题已解决,原因为命令字符串中有一个错误,-http的杠与http之间缺少一个空格。
另外,我还在执行这个命令前先执行了lnmp stop,也会导致失败,后来我lnmp start之后再执行的以上命令,一口气成功。
向军哥致敬!

TOP